AsyncTelegram2

Loading...
Searching...
No Matches
Public Attributes | List of all members
TBMessage Struct Reference

`#include <DataStructures.h>`

Collaboration diagram for TBMessage:
[legend]

## Public Attributes
MessageType | messageType
bool | isHTMLenabled = true
bool | isMarkdownEnabled = false
bool | disable_notification = false
bool | force_reply = false
int32_t | date
int32_t | chatInstance
int64_t | chatId
int32_t | messageID
TBUser | sender
TBUser | member
TBLocation | location
TBContact | contact
TBDocument | document
int64_t | callbackQueryID
String | callbackQueryData
String | text

## Detailed Description

Definition at line 51 of file DataStructures.h.

## Member Data Documentation

## ◆ callbackQueryData

String TBMessage::callbackQueryData

Definition at line 67 of file DataStructures.h.

## ◆ callbackQueryID

int64_t TBMessage::callbackQueryID

Definition at line 66 of file DataStructures.h.

## ◆ chatId

int64_t TBMessage::chatId

Definition at line 59 of file DataStructures.h.

## ◆ chatInstance

int32_t TBMessage::chatInstance

Definition at line 58 of file DataStructures.h.

## ◆ contact

TBContact TBMessage::contact

Definition at line 64 of file DataStructures.h.

## ◆ date

int32_t TBMessage::date

Definition at line 57 of file DataStructures.h.

## ◆ disable_notification

bool TBMessage::disable_notification = false

Definition at line 55 of file DataStructures.h.

## ◆ document

TBDocument TBMessage::document

Definition at line 65 of file DataStructures.h.

## ◆ force_reply

bool TBMessage::force_reply = false

Definition at line 56 of file DataStructures.h.

## ◆ isHTMLenabled

bool TBMessage::isHTMLenabled = true

Definition at line 53 of file DataStructures.h.

## ◆ isMarkdownEnabled

bool TBMessage::isMarkdownEnabled = false

Definition at line 54 of file DataStructures.h.

## ◆ location

TBLocation TBMessage::location

Definition at line 63 of file DataStructures.h.

## ◆ member

TBUser TBMessage::member

Definition at line 62 of file DataStructures.h.

## ◆ messageID

int32_t TBMessage::messageID

Definition at line 60 of file DataStructures.h.

## ◆ messageType

MessageType TBMessage::messageType

Definition at line 52 of file DataStructures.h.

## ◆ sender

TBUser TBMessage::sender

Definition at line 61 of file DataStructures.h.

## ◆ text

String TBMessage::text

Definition at line 68 of file DataStructures.h.

The documentation for this struct was generated from the following file:

- src/DataStructures.h